| Home | Libraries | People | FAQ | More

#### gen_delim_chars

The gen-delims character set.

##### Synopsis

Defined in header `<boost/url/rfc/gen_delim_chars.hpp>`

    constexpr grammar::lut_chars gen_delim_chars = ":/?#[]@";

##### Example

Character sets are used with rules and the functions `grammar::find_if` and `grammar::find_if_not`.

    system::result< decode_view > rv = grammar::parse( "Program%20Files" , pct_encoded_rule( gen_delim_chars ) );

##### BNF

    gen-delims    = ":" / "/" / "?" / "#" / "[" / "]" / "@"

##### Specification

- 2.2. Reserved Characters (rfc3986)

##### See Also

`grammar::find_if`, `grammar::find_if_not`, `grammar::parse`, `pct_encoded_rule`.

Convenience header `<boost/url.hpp>`